ClusterReceiver (Catalina Internal API Documentation)
Keywords: org.apache.catalina.cluster.ClusterReceiver interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Interface ClusterReceiver

All Superinterfaces:
  java.lang.Runnable

All Known Implementing Classes:
  MulticastReceiver

public interface ClusterReceiver
extends java.lang.Runnable

This class is responsible for Receiving incoming packets in a Cluster. Different Implementations may use different protocol to communicate within the Cluster.

Version:
  $Revision: 434283 $, $Date: 2006-08-23 21:57:51 -0400 (Wed, 23 Aug 2006) $
Author:
  Bip Thelin

Method Summary
`int` | `getCheckInterval()` Get the time in seconds this implementation sleeps
`int` | `getDebug()` Get the debug level for this component
`Logger` | `getLogger()` Get the Logger for this component
`java.lang.Object[]` | `getObjects()` Get an array of objects that has been received by this component.
`java.lang.String` | `getSenderId()` get the senderId used to identify messages being received in a Cluster.
`void` | `log(java.lang.String message)` The log method to use in the implementation
`void` | `run()`
`void` | `setCheckInterval(int checkInterval)` Set the time in seconds for this component to Sleep before it checks for new received data in the Cluster
`void` | `setDebug(int debug)` Set the debug detail level for this component.
`void` | `setLogger(Logger logger)` Set the Logger for this component.
`void` | `setSenderId(java.lang.String senderId)` The senderId is a identifier used to identify different packages being received in a Cluster.
`void` | `start()` Start this component, must be called before it can be used.
`void` | `stop()` The stop method for this component, should be called when closing down the Cluster.

Method Detail

### setSenderId

    public void setSenderId(java.lang.String senderId)

  The senderId is a identifier used to identify different packages being received in a Cluster. Each package received through the concrete implementation of this interface will have the senderId set at runtime. Usually the senderId is the name of the component that is using this `ClusterReceiver`

  Parameters:
    `senderId` - The senderId to use

### getSenderId

    public java.lang.String getSenderId()

  get the senderId used to identify messages being received in a Cluster.

  Returns:
    The senderId for this ClusterReceiver

### setDebug

    public void setDebug(int debug)

  Set the debug detail level for this component.

  Parameters:
    `debug` - The debug level

### getDebug

    public int getDebug()

  Get the debug level for this component

  Returns:
    The debug level

### setCheckInterval

    public void setCheckInterval(int checkInterval)

  Set the time in seconds for this component to Sleep before it checks for new received data in the Cluster

  Parameters:
    `checkInterval` - The time to sleep

### getCheckInterval

    public int getCheckInterval()

  Get the time in seconds this implementation sleeps

  Returns:
    The time in seconds this implementation sleeps

### setLogger

    public void setLogger(Logger logger)

  Set the Logger for this component.

  Parameters:
    `logger` - The Logger to use with this component.

### getLogger

    public Logger getLogger()

  Get the Logger for this component

  Returns:
    The Logger associated with this component.

### log

    public void log(java.lang.String message)

  The log method to use in the implementation

  Parameters:
    `message` - The message to be logged.

### getObjects

    public java.lang.Object[] getObjects()

  Get an array of objects that has been received by this component. Only Objects which was received with the same senderId as the one specified for this `ClusterReceiver` is being returned.

  Returns:
    a value of type 'Object[]'

### start

    public void start()

  Start this component, must be called before it can be used.

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### stop

    public void stop()

  The stop method for this component, should be called when closing down the Cluster.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.